Issue #13990 has been reported by sho-h (Sho Hashimoto).

----------------------------------------
Bug #13990: Remove obsoleted Ruby code from lib/rdoc/ruby_token.rb from 2.3 and 2.4
https://bugs.ruby-lang.org/issues/13990

* Author: sho-h (Sho Hashimoto)
* Status: Open
* Priority: Normal
* Assignee: 
* Target version: 
* ruby -v: 
* Backport: 2.3: REQUIRED, 2.4: REQUIRED
----------------------------------------
Symbol document at docs.ruby-lang.org/en is broken.

* https://docs.ruby-lang.org/en/2.4.0/Symbol.html

The reason is RDoc::RubyToken::Symbol in lib/rdoc/ruby_token.rb was aliased to ::Integer.

lib/rdoc/ruby_token.rb was deleted from rdoc 6.0.0. So, trunk will be fixed later.

* https://github.com/ruby/rdoc/pull/529

but 2.3 and 2.4 need fix this problem.

see below.

* https://github.com/ruby/rdoc/pull/527
* https://github.com/ruby/docs.ruby-lang.org/issues/40

---Files--------------------------------
remove_obsolete_ruby_code.patch (424 Bytes)


-- 
https://bugs.ruby-lang.org/

Unsubscribe: <mailto:ruby-core-request / ruby-lang.org?subject=unsubscribe>
<http://lists.ruby-lang.org/cgi-bin/mailman/options/ruby-core>